.active{
    background-color: gray;
    color:black;
   
}

.linkstyle{
    padding:10px;
    display:inline-block;
    list-style-type: none;
}

mat-sidenav-container, mat-sidenav-content, mat-sidenav {
    height: 100%;
}

mat-sidenav {
    width: 250px;
}

main {
    padding: 10px;
}
#container {
    width: 100%;
    height: 330px
}

#part1 {
    width: 100%;
    height: 280px;
    background-color: #292929
}

#part2 {
    width: 100%;
    height: 50px;
    background-color: black;
    position: relative;
    top: -15px
}

#companyinfo {
    width: 14%;
    height: 280px;
    position: relative;
    left: 8%;
    top: 30px
}

#sitelink {
    font-size: 35px;
    color: #f44336
}

#sitelink:hover {
    color: #e65100
}

#title {
    color: gray;
    position: relative;
    top: 0px;
    font-size: 14.1px
}

#detail {
    color: #aaa7a7;
    font-size: 16px
}

#explore {
    width: 14%;
    height: 280px;
    position: relative;
    top: -235px;
    left: 29%
}

#txt1,
#txt2,
#txt3,
#txt4,
#txt5 {
    color: white;
    font-size: 20px
}

.link {
    display: flex;
    width: 90px;
    height: 40px;
    color: #aaa7a7;
    background-color: transparent;
    border-top: 2px solid white;
    position: relative;
    top: -10px
}

.link:hover,
.link1:hover {
    color: #e65100
}

#visit {
    width: 14%;
    height: 280px;
    position: relative;
    top: -515px;
    left: 42%
}

.text {
    color: #aaa7a7;
    font-size: 14px;
    margin-top: -10px
}

#legal {
    width: 14%;
    height: 280px;
    position: relative;
    top: -800px;
    left: 59.5%
}

.link1 {
    display: flex;
    width: 150px;
    height: 40px;
    color: #aaa7a7;
    background-color: transparent;
    border-top: 2px solid white;
    position: relative;
    top: -10px;
    margin-top: 7px
}

#subscribe {
    position: relative;
    top: -1080px;
    left: 78%;
    width: 14%;
    height: 280px
}

#email {
    color: white;
    position: relative;
    top: -20px
}

.btn {
    position: relative;
    top: -10px
}

#txt5 {
    position: relative;
    top: 0px
}

.social {
    position: relative;
    top: -5px;
    margin-right: 10px;
    color: white;
    cursor: pointer
}

.fa-facebook-square:hover {
    color: #3B579D
}

.fa-linkedin:hover {
    color: #007BB6
}

.fa-twitter-square:hover {
    color: #2CAAE1
}

#txt6 {
    color: white;
    position: relative;
    top: 13px;
    left: 8%;
    width: 80%;
    color: #aaa7a7
}

.material-icons {
    position: relative;
    top: 3px
}

@media only screen and (max-width:1000px) {
    #companyinfo {
        width: 20%
    }

    #sitelink {
        font-size: 30px
    }

    #txt5,
    #txt4 {
        font-size: 17px
    }

    #txt5,
    .social {
        position: relative;
        top: -5px
    }
}

@media only screen and (max-width:850px) {
    #companyinfo {
        position: relative;
        left: 3%
    }

    #txt6 {
        position: relative;
        left: 3%
    }

    #txt1,
    #txt2,
    #txt3,
    #txt4,
    #txt5 {
        font-size: 15px
    }

    #explore {
        position: relative;
        top: -240px;
        left: 26%
    }

    #sitelink {
        font-size: 25px
    }

    #detail {
        font-size: 13px
    }

    .link {
        width: 60px
    }

    #visit {
        position: relative;
        top: -520px;
        left: 37%
    }

    .text {
        font-size: 13px
    }

    #legal {
        position: relative;
        top: -800px;
        left: 54%
    }

    #subscribe {
        position: relative;
        top: -1080px;
        left: 76%;
        width: 20%
    }

    #txt5,
    .social {
        position: relative;
        left: -110%;
        top: px
    }

    #email,
    .btn {
        position: relative;
        top: 0px
    }

    #part1 {
        height: 250px
    }
}